> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Contractor ID Upload Link

> Creates a shareable link for contractors to submit their ID verification information when they receive an id_verification_required status.



## OpenAPI

````yaml openapi/zeal-api.json post /contractors/id_upload_link
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /contractors/id_upload_link:
    post:
      summary: Create Contractor ID Verification Link
      description: >-
        Creates a shareable link for contractors to submit their ID verification
        information when they receive an id_verification_required status.
      operationId: create-id-verification-link
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - companyID
                - contractorID
                - document_type
              properties:
                companyID:
                  type: string
                  description: ID of the company
                contractorID:
                  type: string
                  description: ID of the contractor requiring ID information
                send_to_worker:
                  type: boolean
                  description: >-
                    Whether to automatically send the verification link to the
                    worker
                  default: false
                document_type:
                  type: array
                  items:
                    type: string
                  description: >-
                    The documents you want to collect using this link. Can
                    include: `government_photo_id`, `passport`,
                    `social_security_card`, and `other`
            examples:
              Request Example:
                value:
                  companyID: company_123
                  contractorID: contractor_456
                  send_to_worker: false
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data: https://verification-link-url
              schema:
                type: object
                properties:
                  data:
                    type: string
                    example: https://verification-link-url
                  success:
                    type: boolean
                    example: true
                    default: true
                  testMode:
                    type: boolean
                    example: false
                    default: true
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: {}
              schema:
                type: object
                properties: {}
      deprecated: false
      security: []
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````